API Docs
AbsenceAbsence Additional ContingentAbsence ContingentAccountAccountingAccounting ContactAdded ValueAsset AccountAttachmentAttendanceAuthBank AccountCatalogCommissionContactCraftCredit InvoiceCreditorCustom FilterCustom ReportCustomerCustomFieldDashboardDebitorEmailEmployment ContractEstimateFinanceFinance JournalFinance Journal PositionsFinDocCategoryFollowupForecastGeneral InfoHolidayIntegrationsInvoiceJobJob TasksLogin MethodMeMetricsOffice LocationOrder ConfirmationOrganisationPaymentPersonProcedureProcedure ViewPurchase InvoicePurchase OrderReportResource PlanningSnippetTargetTeamTemplateTimeUserUser CraftUser GroupUser Group ActionsUser Group UsersWorkPattern
POSTUser
/user
Create a user
Create a user
Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json
Request
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| user | user.CreateUser | Yes | User to create |
Parameter Models
Inspect object parameters and nested model references without loading the full Swagger file in the browser.
userBody parameteruser.CreateUser
emailRequired
string
No description.
first_nameRequired
string
No description.
last_nameRequired
string
No description.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/user' \
-H 'Accept: application/json' \
-H 'Authorization: Session Token' \
-H 'Content-Type: application/json' \
--data-raw '{
"contract_type": "none",
"email": "string",
"first_name": "string",
"last_name": "string"
}'Request Body (application/json)
{
"contract_type": "none",
"email": "string",
"first_name": "string",
"last_name": "string"
}Responses
200OK
app.Userapplication/json
Example
{
"absences": [
{...}
],
"allowed_login_methods": [
{...}
],
"avatar": "string",
"crafts": [
{...}
],
"dashboard_tiles": [
{...}
],
"date_last_seen": 123,
"default_workpattern_id": 123,
"deleted": 123,
"email": "string",
"email_signature": "string",
"employment_contracts": [
{...}
],
"finance_journal_subscriptions": [
{...}
],
"first_name": "string",
"groups": [
{...}
],
"has_password": true,
"help": true,
"id": 123,
"is_admin": true,
"is_external": true,
"is_online": true,
"job_subscriptions": [
{...}
],
"last_login": 123,
"last_name": "string",
"login_count": 123,
"name": "string",
"notify_email": true,
"notify_slack": true,
"password_date": 123,
"permanent_token": "string",
"permit_login": true,
"person": {...},
"person_id": 123,
"show_unaccountable_worktime": true,
"sidebar_collapsed": true,
"sidebar_disabled_at": 123,
"sidebar_enabled_at": 123,
"slack_user_id": "string",
"slack_user_image": "string",
"spaces": [
{...}
],
"task_favourites": [
{...}
],
"task_id": 123,
"teams": [
{...}
],
"telephone": "string",
"timer": 123,
"token": "string",
"user_to_spaces": [
{...}
],
"username": "string"
}400Bad Request
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}403Forbidden
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}500Internal Server Error
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}